import { AnyAction } from 'redux';
import { ThunkAction } from 'redux-thunk';
import { State } from '../types';
export declare const Action: {
    RUN_NIGHTWATCH_START: string;
    RUN_NIGHTWATCH_SUCCESS: string;
    RUN_NIGHTWATCH_FAILURE: string;
};
export declare type NightWatchArgs = {
    config: string;
    env: string;
    test?: string;
    testcase?: string;
};
export declare type RunTests = ThunkAction<Promise<void>, State, any, AnyAction>;
export declare const runTests: ({ suite, testname }: {
    suite?: string | undefined;
    testname?: string | undefined;
}) => RunTests;
