"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDefaultConfig = void 0;
const path_1 = __importDefault(require("path"));
const readPackageJSON_1 = require("../utils/readPackageJSON");
exports.getDefaultConfig = () => {
    const packageJson = readPackageJSON_1.readPackageJSON();
    return {
        name: packageJson.name,
        version: packageJson.version,
        description: packageJson.description,
        homepage: packageJson.homepage,
        repository: packageJson.repository,
        configPath: path_1.default.resolve('./nightwatch.config.js'),
        executablePath: path_1.default.resolve('./node_modules/.bin/nightwatch'),
        environments: {},
        currentEnvironment: 'default',
        suiteDirectories: [],
        suites: {},
        currentSuite: undefined
    };
};
//# sourceMappingURL=getDefaultConfig.js.map