"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSuites = void 0;
const path_1 = __importDefault(require("path"));
const require_dir_1 = __importDefault(require("require-dir"));
const suitesParser = __importStar(require("../parsers/suitesParser"));
const getSuites = (suiteDirectories) => (suiteDirectories.reduce((suites, srcDir) => {
    const dirTree = require_dir_1.default(srcDir, { recurse: true, noCache: true });
    const srcSuites = suitesParser.parse(dirTree);
    Object.keys(srcSuites).forEach(srcSuiteName => {
        const suiteName = path_1.default.relative(process.cwd(), path_1.default.resolve(srcDir, srcSuiteName));
        suites[suiteName] = srcSuites[srcSuiteName];
    });
    return suites;
}, {}));
exports.getSuites = getSuites;
//# sourceMappingURL=getSuites.js.map